html, body {
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
  background: #faf8ef;
  color: #776e65;
  font-family: "Microsoft YaHei", sans-serif, 'Microsoft Sans Serif','Microsoft JhengHei UI';
  font-size: 18px;
}

body {
  display: flex;
  align-items: center;
  justify-content: center;
}

input {
  display: inline-block;
  background: #8f7a66;
  border-radius: 3px;
  padding: 0 20px;
  text-decoration: none;
  color: #f9f6f2;
  height: 40px;
  line-height: 42px;
  cursor: pointer;
  font: inherit;
  border: none;
  outline: none;
  box-sizing: border-box;
  font-weight: bold;
  margin: 0;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

input[type="text"], input[type="email"] {
  cursor: auto;
  background: #fcfbf9;
  font-weight: normal;
  color: #776e65;
  padding: 0 15px;
}

input[type="text"]::-webkit-input-placeholder, input[type="email"]::-webkit-input-placeholder {
  color: #9d948c;
}

input[type="text"]::-moz-placeholder, input[type="email"]::-moz-placeholder {
  color: #9d948c;
}

input[type="text"]:-ms-input-placeholder, input[type="email"]:-ms-input-placeholder {
  color: #9d948c;
}

/* .heading:after {
  content: "";
  display: block;
  clear: both;
} */

h1.title {
  font-size: 80px;
  font-weight: bold;
  margin: 0;
  display: block;
  float: left;
}

@-webkit-keyframes move-up {
  0% {
      top: 25px;
      opacity: 1;
  }

  100% {
      top: -50px;
      opacity: 0;
  }
}

@-moz-keyframes move-up {
  0% {
      top: 25px;
      opacity: 1;
  }

  100% {
      top: -50px;
      opacity: 0;
  }
}

@keyframes move-up {
  0% {
      top: 25px;
      opacity: 1;
  }

  100% {
      top: -50px;
      opacity: 0;
  }
}


.score-container, .best-container {
  position: relative;
  display: inline-block;
  background: #bbada0;
  padding: 15px 25px;
  font-size: 25px;
  height: 25px;
  line-height: 47px;
  font-weight: bold;
  border-radius: 3px;
  color: white;
  text-align: center;
}

.score-container:after, .best-container:after {
  position: absolute;
  width: 100%;
  top: 10px;
  left: 0;
  text-transform: uppercase;
  font-size: 13px;
  line-height: 13px;
  text-align: center;
  color: #eee4da;
}

.score-container .score-addition, .best-container .score-addition {
  position: absolute;
  right: 30px;
  color: red;
  font-size: 25px;
  line-height: 25px;
  font-weight: bold;
  color: rgba(119, 110, 101, 0.9);
  z-index: 100;
  -webkit-animation: move-up 600ms ease-in;
  -moz-animation: move-up 600ms ease-in;
  animation: move-up 600ms ease-in;
  -webkit-animation-fill-mode: both;
  -moz-animation-fill-mode: both;
  animation-fill-mode: both;
}

.score-container:after {
  content: "Score";
}

.best-container:after {
  content: "Best";
}

p {
  margin-top: 0;
  margin-bottom: 10px;
  line-height: 1.65;
}

a {
  color: #776e65;
  font-weight: bold;
  text-decoration: underline;
  cursor: pointer;
}

strong.important {
  text-transform: uppercase;
}

hr {
  border: none;
  border-bottom: 1px solid #d8d4d0;
  margin-top: 20px;
  margin-bottom: 30px;
}

.container {
  width: 500px;
  margin: 0 auto;
}

@-webkit-keyframes fade-in {
  0% {
      opacity: 0;
  }

  100% {
      opacity: 1;
  }
}

@-moz-keyframes fade-in {
  0% {
      opacity: 0;
  }

  100% {
      opacity: 1;
  }
}

@keyframes fade-in {
  0% {
      opacity: 0;
  }

  100% {
      opacity: 1;
  }
}

@-webkit-keyframes slide-up {
  0% {
      margin-top: 32%;
  }

  100% {
      margin-top: 20%;
  }
}

@-moz-keyframes slide-up {
  0% {
      margin-top: 32%;
  }

  100% {
      margin-top: 20%;
  }
}

@keyframes slide-up {
  0% {
      margin-top: 32%;
  }

  100% {
      margin-top: 20%;
  }
}

.game-container {
  margin-top: 3px;
  margin-bottom: 2px;
  position: relative;
  padding: 15px;
  cursor: default;
  -webkit-touch-callout: none;
  -ms-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -ms-touch-action: none;
  touch-action: none;
  background: #bbada0;
  border-radius: 6px;
  width: 500px;
  height: 500px;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

.game-message {
  display: none;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(238, 228, 218, 0.73);
  z-index: 100;
  padding-top: 40px;
  text-align: center;
  -webkit-animation: fade-in 800ms ease 1200ms;
  -moz-animation: fade-in 800ms ease 1200ms;
  animation: fade-in 800ms ease 1200ms;
  -webkit-animation-fill-mode: both;
  -moz-animation-fill-mode: both;
  animation-fill-mode: both;
}

.game-message p {
  font-size: 60px;
  font-weight: bold;
  height: 60px;
  line-height: 60px;
  margin-top: 222px;
}

.game-message .lower {
  display: block;
  margin-top: 29px;
}

.game-message .mailing-list {
  margin-top: 52px;
}

.game-message .mailing-list strong {
  display: block;
  margin-bottom: 10px;
}

.game-message .mailing-list .mailing-list-email-field {
  width: 230px;
  margin-right: 5px;
}

.game-message a {
  display: inline-block;
  background: #8f7a66;
  border-radius: 3px;
  padding: 0 20px;
  text-decoration: none;
  color: #f9f6f2;
  height: 40px;
  line-height: 42px;
  cursor: pointer;
  margin-left: 9px;
}

.game-message a.keep-playing-button {
  display: none;
}

.game-message .score-sharing {
  display: inline-block;
  vertical-align: middle;
  margin-left: 10px;
}

.game-message.game-won {
  background: rgba(237, 194, 46, 0.5);
  color: #f9f6f2;
}

.game-message.game-won a.keep-playing-button {
  display: inline-block;
}

.game-message.game-won, .game-message.game-over {
  display: block;
}

.game-message.game-won p, .game-message.game-over p {
  -webkit-animation: slide-up 1.5s ease-in-out 2500ms;
  -moz-animation: slide-up 1.5s ease-in-out 2500ms;
  animation: slide-up 1.5s ease-in-out 2500ms;
  -webkit-animation-fill-mode: both;
  -moz-animation-fill-mode: both;
  animation-fill-mode: both;
}

.game-message.game-won .mailing-list, .game-message.game-over .mailing-list {
  -webkit-animation: fade-in 1.5s ease-in-out 2500ms;
  -moz-animation: fade-in 1.5s ease-in-out 2500ms;
  animation: fade-in 1.5s ease-in-out 2500ms;
  -webkit-animation-fill-mode: both;
  -moz-animation-fill-mode: both;
  animation-fill-mode: both;
}

.grid-container {
  position: absolute;
  z-index: 1;
}

.grid-row {
  margin-bottom: 15px;
}

.grid-row:last-child {
  margin-bottom: 0;
}

.grid-row:after {
  content: "";
  display: block;
  clear: both;
}

.grid-cell {
  width: 106.25px;
  height: 106.25px;
  margin-right: 15px;
  float: left;
  border-radius: 3px;
  background: rgba(238, 228, 218, 0.35);
}

.grid-cell:last-child {
  margin-right: 0;
}

.tile-container {
  position: absolute;
  z-index: 2;
}

.tile, .tile .tile-inner {
  width: 107px;
  height: 107px;
  line-height: 116.25px;
}

.tile.tile-position-1-1 {
  -webkit-transform: translate(0px, 0px);
  -moz-transform: translate(0px, 0px);
  transform: translate(0px, 0px);
}

.tile.tile-position-1-2 {
  -webkit-transform: translate(0px, 121px);
  -moz-transform: translate(0px, 121px);
  transform: translate(0px, 121px);
}

.tile.tile-position-1-3 {
  -webkit-transform: translate(0px, 242px);
  -moz-transform: translate(0px, 242px);
  transform: translate(0px, 242px);
}

.tile.tile-position-1-4 {
  -webkit-transform: translate(0px, 363px);
  -moz-transform: translate(0px, 363px);
  transform: translate(0px, 363px);
}

.tile.tile-position-2-1 {
  -webkit-transform: translate(121px, 0px);
  -moz-transform: translate(121px, 0px);
  transform: translate(121px, 0px);
}

.tile.tile-position-2-2 {
  -webkit-transform: translate(121px, 121px);
  -moz-transform: translate(121px, 121px);
  transform: translate(121px, 121px);
}

.tile.tile-position-2-3 {
  -webkit-transform: translate(121px, 242px);
  -moz-transform: translate(121px, 242px);
  transform: translate(121px, 242px);
}

.tile.tile-position-2-4 {
  -webkit-transform: translate(121px, 363px);
  -moz-transform: translate(121px, 363px);
  transform: translate(121px, 363px);
}

.tile.tile-position-3-1 {
  -webkit-transform: translate(242px, 0px);
  -moz-transform: translate(242px, 0px);
  transform: translate(242px, 0px);
}

.tile.tile-position-3-2 {
  -webkit-transform: translate(242px, 121px);
  -moz-transform: translate(242px, 121px);
  transform: translate(242px, 121px);
}

.tile.tile-position-3-3 {
  -webkit-transform: translate(242px, 242px);
  -moz-transform: translate(242px, 242px);
  transform: translate(242px, 242px);
}

.tile.tile-position-3-4 {
  -webkit-transform: translate(242px, 363px);
  -moz-transform: translate(242px, 363px);
  transform: translate(242px, 363px);
}

.tile.tile-position-4-1 {
  -webkit-transform: translate(363px, 0px);
  -moz-transform: translate(363px, 0px);
  transform: translate(363px, 0px);
}

.tile.tile-position-4-2 {
  -webkit-transform: translate(363px, 121px);
  -moz-transform: translate(363px, 121px);
  transform: translate(363px, 121px);
}

.tile.tile-position-4-3 {
  -webkit-transform: translate(363px, 242px);
  -moz-transform: translate(363px, 242px);
  transform: translate(363px, 242px);
}

.tile.tile-position-4-4 {
  -webkit-transform: translate(363px, 363px);
  -moz-transform: translate(363px, 363px);
  transform: translate(363px, 363px);
}

.tile {
  position: absolute;
  -webkit-transition: 100ms ease-in-out;
  -moz-transition: 100ms ease-in-out;
  transition: 100ms ease-in-out;
  -webkit-transition-property: -webkit-transform;
  -moz-transition-property: -moz-transform;
  transition-property: transform;
}

.tile .tile-inner {
  border-radius: 3px;
  background: #eee4da;
  text-align: center;
  font-weight: bold;
  z-index: 10;
  font-size: 40px;
}

.tile.tile-2 .tile-inner {
  background: #eee4da;
  box-shadow: 0 0 30px 10px rgba(243, 215, 116, 0), inset 0 0 0 1px rgba(255, 255, 255, 0);
}

.tile.tile-4 .tile-inner {
  background: #ede0c8;
  box-shadow: 0 0 30px 10px rgba(243, 215, 116, 0), inset 0 0 0 1px rgba(255, 255, 255, 0);
}

.tile.tile-8 .tile-inner {
  color: #f9f6f2;
  background: #f2b179;
}

.tile.tile-16 .tile-inner {
  color: #f9f6f2;
  background: #f59563;
}

.tile.tile-32 .tile-inner {
  color: #f9f6f2;
  background: #f67c5f;
}

.tile.tile-64 .tile-inner {
  color: #f9f6f2;
  background: #f65e3b;
  font-size: 30px;
}

@media screen and (max-width: 520px) {
  .tile.tile-64 .tile-inner {
      font-size: 17px;
  }
}

.tile.tile-128 .tile-inner {
  color: #f9f6f2;
  background: #edcf72;
  box-shadow: 0 0 30px 10px rgba(243, 215, 116, 0.2381), inset 0 0 0 1px rgba(255, 255, 255, 0.14286);
  font-size: 40px;
}

@media screen and (max-width: 520px) {
  .tile.tile-128 .tile-inner {
      font-size: 13px;
  }
}

.tile.tile-256 .tile-inner {
  color: #f9f6f2;
  background: #edcc61;
  box-shadow: 0 0 30px 10px rgba(243, 215, 116, 0.31746), inset 0 0 0 1px rgba(255, 255, 255, 0.19048);
  font-size: 40px;
}

@media screen and (max-width: 520px) {
  .tile.tile-256 .tile-inner {
      font-size: 17px;
  }
}

.tile.tile-512 .tile-inner {
  color: #f9f6f2;
  background: #edc850;
  box-shadow: 0 0 30px 10px rgba(243, 215, 116, 0.39683), inset 0 0 0 1px rgba(255, 255, 255, 0.2381);
  font-size: 40px;
}

@media screen and (max-width: 520px) {
  .tile.tile-512 .tile-inner {
      font-size: 17px;
  }
}

.tile.tile-1024 .tile-inner {
  color: #f9f6f2;
  background: #edc53f;
  box-shadow: 0 0 30px 10px rgba(243, 215, 116, 0.47619), inset 0 0 0 1px rgba(255, 255, 255, 0.28571);
  font-size: 40px;
}

@media screen and (max-width: 520px) {
  .tile.tile-1024 .tile-inner {
      font-size: 17px;
  }
}

.tile.tile-2048 .tile-inner {
  color: #f9f6f2;
  background: #edc22e;
  box-shadow: 0 0 30px 10px rgba(243, 215, 116, 0.55556), inset 0 0 0 1px rgba(255, 255, 255, 0.33333);
  font-size: 30px;
}

@media screen and (max-width: 520px) {
  .tile.tile-2048 .tile-inner {
      font-size: 17px;
  }
}

.tile.tile-super .tile-inner {
  color: #f9f6f2;
  background: #3c3a32;
  font-size: 30px;
}

@media screen and (max-width: 520px) {
  .tile.tile-super .tile-inner {
      font-size: 17px;
  }
}

@-webkit-keyframes appear {
  0% {
      opacity: 0;
      -webkit-transform: scale(0);
      -moz-transform: scale(0);
      transform: scale(0);
  }

  100% {
      opacity: 1;
      -webkit-transform: scale(1);
      -moz-transform: scale(1);
      transform: scale(1);
  }
}

@-moz-keyframes appear {
  0% {
      opacity: 0;
      -webkit-transform: scale(0);
      -moz-transform: scale(0);
      transform: scale(0);
  }

  100% {
      opacity: 1;
      -webkit-transform: scale(1);
      -moz-transform: scale(1);
      transform: scale(1);
  }
}

@keyframes appear {
  0% {
      opacity: 0;
      -webkit-transform: scale(0);
      -moz-transform: scale(0);
      transform: scale(0);
  }

  100% {
      opacity: 1;
      -webkit-transform: scale(1);
      -moz-transform: scale(1);
      transform: scale(1);
  }
}

.tile-new .tile-inner {
  -webkit-animation: appear 200ms ease 100ms;
  -moz-animation: appear 200ms ease 100ms;
  animation: appear 200ms ease 100ms;
  -webkit-animation-fill-mode: backwards;
  -moz-animation-fill-mode: backwards;
  animation-fill-mode: backwards;
}

@-webkit-keyframes pop {
  0% {
      -webkit-transform: scale(0);
      -moz-transform: scale(0);
      transform: scale(0);
  }

  50% {
      -webkit-transform: scale(1.2);
      -moz-transform: scale(1.2);
      transform: scale(1.2);
  }

  100% {
      -webkit-transform: scale(1);
      -moz-transform: scale(1);
      transform: scale(1);
  }
}

@-moz-keyframes pop {
  0% {
      -webkit-transform: scale(0);
      -moz-transform: scale(0);
      transform: scale(0);
  }

  50% {
      -webkit-transform: scale(1.2);
      -moz-transform: scale(1.2);
      transform: scale(1.2);
  }

  100% {
      -webkit-transform: scale(1);
      -moz-transform: scale(1);
      transform: scale(1);
  }
}

@keyframes pop {
  0% {
      -webkit-transform: scale(0);
      -moz-transform: scale(0);
      transform: scale(0);
  }

  50% {
      -webkit-transform: scale(1.2);
      -moz-transform: scale(1.2);
      transform: scale(1.2);
  }

  100% {
      -webkit-transform: scale(1);
      -moz-transform: scale(1);
      transform: scale(1);
  }
}

.tile-merged .tile-inner {
  z-index: 20;
  -webkit-animation: pop 200ms ease 100ms;
  -moz-animation: pop 200ms ease 100ms;
  animation: pop 200ms ease 100ms;
  -webkit-animation-fill-mode: backwards;
  -moz-animation-fill-mode: backwards;
  animation-fill-mode: backwards;
}


.game-intro {
  float: left;
  line-height: 42px;
  margin-bottom: 0;
}

.restart-button {
  display: inline-block;
  background: #8f7a66;
  border-radius: 3px;
  padding: 0 20px;
  text-decoration: none;
  color: #f9f6f2;
  height: 55px;
  line-height: 55px;
  cursor: pointer;
  text-align: center;
}

.game-explanation {
  margin-top: 50px;
}

.sharing {
  margin-top: 20px;
  text-align: center;
}

.sharing > iframe, .sharing > span, .sharing > form {
  display: inline-block;
  vertical-align: middle;
}

.heading {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}


.pp-donate button {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border: none;
  font: inherit;
  color: inherit;
  display: inline-block;
  background: #8f7a66;
  border-radius: 3px;
  padding: 0 20px;
  text-decoration: none;
  color: #f9f6f2;
  height: 40px;
  line-height: 42px;
  cursor: pointer;
}

.pp-donate button img {
  vertical-align: -4px;
  margin-right: 8px;
}

.btc-donate {
  position: relative;
  margin-left: 10px;
  display: inline-block;
  background: #8f7a66;
  border-radius: 3px;
  padding: 0 20px;
  text-decoration: none;
  color: #f9f6f2;
  height: 40px;
  line-height: 42px;
  cursor: pointer;
}

.btc-donate img {
  vertical-align: -4px;
  margin-right: 8px;
}

.btc-donate a {
  color: #f9f6f2;
  text-decoration: none;
  font-weight: normal;
}

.btc-donate .address {
  cursor: auto;
  position: absolute;
  width: 340px;
  right: 50%;
  margin-right: -170px;
  padding-bottom: 7px;
  top: -30px;
  opacity: 0;
  pointer-events: none;
  -webkit-transition: 400ms ease;
  -moz-transition: 400ms ease;
  transition: 400ms ease;
  -webkit-transition-property: top, opacity;
  -moz-transition-property: top, opacity;
  transition-property: top, opacity;
}

.btc-donate .address:after {
  position: absolute;
  border-top: 10px solid #bbada0;
  border-right: 7px solid transparent;
  border-left: 7px solid transparent;
  content: "";
  bottom: 0px;
  left: 50%;
  margin-left: -7px;
}

.btc-donate .address code {
  background-color: #bbada0;
  padding: 10px 15px;
  width: 100%;
  border-radius: 3px;
  line-height: 1;
  font-weight: normal;
  font-size: 15px;
  font-family: Consolas, "Liberation Mono", Courier, monospace;
  text-align: center;
}

.btc-donate:hover .address, .btc-donate .address:hover .address {
  opacity: 1;
  top: -45px;
  pointer-events: auto;
}

@media screen and (max-width: 480px) {
  .btc-donate {
      width: 120px;
  }

  .btc-donate .address {
      margin-right: -150px;
      width: 300px;
  }

  .btc-donate .address code {
      font-size: 13px;
  }

  .btc-donate .address:after {
      left: 50%;
      bottom: 2px;
  }
}